#ifndef __DEBUG_H
#define __DEBUG_H

#define DOUT_EMS		1		/* dumps to ems */
#define DOUT_CONSOLE    2		/* dumps to console */
#define DOUT_NO_EOL 	4		/* don't appends an eol */

/*
 * If you add one, add a string in debug_prefix as well
 */

#define D_ALWAYS    	 0
#define D_SYSTEM		 1
#define D_EMS 			 2
#define D_XDR			 4
#define D_SERVER		 8
#define D_CLIENT		16
#define D_END	   	    16
#define D_ALL			(D_END *2 -1)

void	debug_init(int level, int out, unsigned ems_pages);
void	debug_shutdown();
void	debug_showlist();
int		debug_setlevel(int new_level);
int		debug_setout(int output);
void	dprintf(int,char *format,...);

char press_key(char *message);


#endif
