/*				L Z R W 1 . H				*/
/*
 * Definitions for the LZRW1 code.
 */
#define UBYTE	unsigned char far
#define ULONG	unsigned long
#define UWORD	unsigned int
#define FLAG_BYTES    4     /* Number of bytes used by copy flag. */
#define FLAG_COMPRESS 0     /* Signals that compression occurred. */
#define FLAG_COPY     1     /* Signals that a copyover occurred.  */

/*
#define LZRW1_INBLKSIZE		8192
*/
#define LZRW1_INBLKSIZE		32000
#define LZRW1_OVERRUN		(256 - 1)
#define LZRW1_OUTBLKSIZE	(LZRW1_INBLKSIZE + LZRW1_OVERRUN)
#define LZRW1_HASHSIZE		4096
#define LZRW1_HASHSIZEM1	4095

void lzrw1_compress(UBYTE *p_src_first, ULONG src_len, UBYTE *p_dst_first, ULONG *p_dst_len);
void lzrw1_decompress(UBYTE *p_src_first, ULONG src_len, UBYTE *p_dst_first, ULONG *p_dst_len);
void lzrw1_sethash(unsigned long);
