#ifndef __XDR_H
#define __XDR_H

#include "systypes.h"

#define XDR_READ 1
#define XDR_WRITE 2

int xdr_uint16(int how, uint16* i);
int xdr_uint8(int how, uint8 *c);
int xdr_uint32(int how, uint32 *l);
int xdr_data(int how, char far *data, uint16 *size);
int xdr_filename(int how, char far *filename);
int xdr_direntry(int how, char far *filename, uint32* size, uint8* attr, uint16* time, uint16* date);

#endif		// __XDR_H
